TIREX-BACKEND-MANAGER(1)

NAME
tirex-backend-manager - manages Tirex rendering backend workers

SYNOPSIS
tirex-backend-manager [OPTIONS]

OPTIONS

--help
    Display help message.

-d, --debug
    Run in debug mode, and pass on the debug flag to workers

-f, --foreground
    Run in foreground. E.g. when started from systemd service

--config=DIR
    Use the DIR config directory instead of /etc/tirex.

DESCRIPTION
The backend manager starts and monitors as many backend workers as given in the configuration. The backend processes do the actual rendering of tiles.

The backend manager expects each worker process to send an "alive" message in regular intervals, and will kill the process if it does not do so in time.

The backend manager does not handle render requests in any way; these are read directly from a local UDP socket by the individual backend processes.

If the backend manager receives a HUP signal, it will relay this signal to all backends, causing them to exit after completing their current request. It will reload the renderer and map configuration and re-start all workers with the new configuration.

FILES

/etc/tirex/tirex.conf
    The configuration file.

/etc/tirex/renderer/*.conf
    Configuration files for renderers

/etc/tirex/renderer/*/*.conf
    Map configurations

DIAGNOSTICS
The backend manager logs to the daemon syslog facility unless configured otherwise. In debug mode, logging is also copied to stderr.

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.